Results 1 to 5 of 5

Thread: ArchLinux dependencies cannot by resolved

  1. #1

    Default ArchLinux dependencies cannot by resolved

    Hi!

    I've been trying to build a package for ArchExtra but unfortunately packman cannot resolved dependencies even all of them are in Extra or Core. You can have a look at my project here:

    https://build.opensuse.org/package/s...me:DGtal/DGtal


    logfile: https://build.opensuse.org/build/hom.../_logPKGBUILD: https://build.opensuse.org/package/v...BUILD?expand=1

  2. #2
    Join Date
    Sep 2012
    Posts
    4,977

    Default Re: ArchLinux dependencies cannot by resolved

    To me it rather looks like sudo fails. May be you need to install /etc/sudoers to suppress password prompt.

  3. #3

    Default Re: ArchLinux dependencies cannot by resolved

    Well, how I can do it? Should not Arch on OBS be already configured to avoid this type of problems? I reported this as a bug.

  4. #4
    Join Date
    Sep 2012
    Posts
    4,977

    Default Re: ArchLinux dependencies cannot by resolved

    Quote Originally Posted by copyme View Post
    Well, how I can do it?
    I am not familiar with Arch build setup; in RPM I would probably add snippet to %prep or %build section.

  5. #5

    Default Re: ArchLinux dependencies cannot by resolved

    prepare() is called after resolving dependencies. So would not help.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •